<template>
  <div class="CountDataApply" ref="chart"></div>
</template>

<script>
import * as echarts from "echarts"
import { GetServicesVisitsCount } from "@/api/screen.js"
export default {
  data() {
    return {
      option: {},
    }
  },
  mounted() {
    // const option = this.initData()
    this.initChart()
  },
  methods: {
    async initChart() {
      const res = await GetServicesVisitsCount()

      console.log(res.result);

      if (res.code == 200) {
      }
      let xAxis = []
      let yAxis = []

      res.result.forEach(item => {
        xAxis.push(item.type)
        yAxis.push(item.count)
      })

      // let data = [220, 182, 191, 234, 290, 330, 310]
      // const sideData = data.map(item => {
      //   return {
      //     name: item.name,
      //     value: item.number,
      //   }
      // })

      let option = {
        tooltip: {
          trigger: "axis"
        },
        grid: {
          right: "10%",
          top: 30,
          left: '15%',
          bottom:'15%'
        },

        xAxis: {
          type: "category",
          boundaryGap: true,
          axisLine: {
            lineStyle: {
              color: "#fff"
            },
            show: false
          },
          nameRotate: 45,
          axisTick: {
            // show: false,
            alignWithLabel: true
          },
          axisLabel: {
            fontFamily: "PingFangSC-Regular",
          },
          data:xAxis
        },
        yAxis: {
          axisLine: {
            show: false,
            lineStyle: {
              color: "#fff"
            }
          },
          axisLabel: {
            fontFamily: "Roboto-Regular",
          },
          axisTick: {
            show: false
          },
          // 分割线
          splitLine: {
            lineStyle: {
              color: "#5d7289",
              width: 1,
              type: "dashed"
            }
          },
          type: "value"
        },
        series: [
          {
            name: "服务访问次数",
            type: "line",
            showAllSymbol: false,
            lineStyle: {
              color: "#2579D8"
            },
            itemStyle: {
              color: "#2579D8"
            },
            smooth: 0.2,
            data: yAxis
          }

        ]
      };
      const chart = echarts.init(this.$refs.chart)

      chart.setOption(option)
      window.addEventListener("resize", function () {
        chart.resize()
      })
    },
  },
}
</script>

<style lang="scss" scoped>
.CountDataApply {
  width: 100%;
  height:calc(100% - 30px);
}
</style>
